.post {
    position: relative;
    border-radius: 4px;
    overflow: hidden;
    content-visibility: auto;
    contain-intrinsic-size: 400px;
}

.post {
    -webkit-box-shadow: 0px 0px 15px 0px rgba(72, 73, 121, 0.15);
    -moz-box-shadow: 0px 0px 15px 0px rgba(72, 73, 121, 0.15);
    -o-box-shadow: 0px 0px 15px 0px rgba(72, 73, 121, 0.15);
}

.post .post-image {
    overflow: hidden;
    position: relative;
}

.post .post-desc {
    padding: 30px;
    /* background: #ffffff; */
}

.post .post-desc h4 {
    margin: 0;
    text-transform: capitalize;
    font-weight: 400;
}

.post .post-desc h4 a {
    color: #122126;
    display: inline-block;
    text-decoration: none;
}

.post .post-desc h4 a:hover {
    color: #03d665;
}

.faq-item {
    border: 1px solid #e5e5e5;
    border-radius: 8px;
    margin-bottom: 10px;
    overflow: hidden;
}

.faq-question {
    width: 100%;
    background: #f8e8e8;
    border: none;
    padding: 15px 20px;
    font-size: 16px;
    font-weight: 600;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
}

.faq-answer {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    background: #01b6b6;
    color: #ffffff;
    line-height: 1.6;

    transition:
        max-height 0.5s ease,
        opacity 0.5s ease,
        padding 0.5s ease;
}

.faq-item.active .faq-answer {
    max-height: 300px;
    opacity: 1;
    padding: 6px 10px;
}

.faq-icon {
    font-size: 22px;
    transition: transform 0.5s ease;
}

.faq-icon::before {
    content: "+";
}

.faq-item.active .faq-icon::before {
    content: "-";
}

.faq-item.active .faq-icon {
    transform: rotate(360deg);
}

.blog-cta {
    border: 4px solid #0d6efd;
    padding: 25px;
    border-radius: 6px;
}

.modern-blog-article {
    max-width: 900px;
    margin: 0 10px;
}

.blog-introduction {
    font-size: 18px;
    line-height: 1.9;
}

.blog-title-wrapper {
    margin-bottom: 25px;
}

.blog-title {
    font-size: 42px;
    line-height: 1.3;
    font-weight: 700;
    color: #03c772 !important;
    margin: 0;
}

.blog-cta h3,
.blog-cta h4 {
    margin-bottom: 10px;
}

.blog-cta a {
    display: inline-block;
    margin-top: 10px;
}

.blog-date {
    font-size: 15px;
    color: #ffffff;
    display: flex;
    align-items: center;
    gap: 6px;
    margin-top: 15px;
    margin-bottom: 15px;
}

.blog-author-card {
    display: flex;
    align-items: center;
    gap: 30px;
    padding-bottom: 15px;
}

.author-image {
    width: 70px;
    overflow: hidden;
    border-radius: 25%;
}

.author-image img {
    object-fit: cover;
    border-radius: 25%;
    border: 1px solid #f3f4f6;
}

.author-info {
    display: flex;
    flex-direction: column;
}

.author-label {
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #dddd !important;
    margin-bottom: 4px;
}

.blog-content table {
    width: 100% !important;
    display: block;
    overflow-x: auto;
    white-space: nowrap;
    border-collapse: collapse;
}

.blog-content th,
.blog-content td {
    padding: 8px;
    word-break: break-word;
}

h2 {
    font-size: 38px !important;
}
.img-fluid {
max-width: fit-content !important;
}
@media (max-width: 768px) {
    .blog-title {
        font-size: 30px !important;
    }

    .blog-author-card {
        display: flex;
        align-items: center;
        gap: 15px;
    }

    .author-image {
        flex-shrink: 0;
    }

    .author-info {
        flex: unset;
        width: auto;
        margin: 0;
        padding: 0;
    }

    .author-info p {
        margin: 0;
        font-size: 18px;
    }

    h2 {
        font-size: 24px;
    }

    .blog-content table {
        font-size: 14px;
    }

    .img-fluid {
        max-width: 100% !important;
        height: auto !important;
    }
}

@media (max-width: 480px) {
    .author-info h6 {
        font-size: 14px;
    }

    .blog-date {
        font-size: 14px;
    }
}